LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XEventHandler Interface Referencepublished

This interface can be implemented by clients that need access to the toolkits window message loop. More...

`import"XEventHandler.idl";`

Inheritance diagram for XEventHandler:

## Public Member Functions
boolean | handleEvent ([in] any event)
| requests the implementor of this interface to handle a platform dependent event. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface can be implemented by clients that need access to the toolkits window message loop.

## Member Function Documentation

## ◆ handleEvent()

boolean handleEvent | ( | [in] any | event | ) |

requests the implementor of this interface to handle a platform dependent event.

Returns
  `TRUE` if the event was handled properly and no further handling should take place, `FALSE` otherwise.

Parameters

  event | the platform dependent event.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XEventHandler.idl